#!/bin/sh
# Download and update a Debian Sarge mirror
# Author: Sylvain Beucler <beuc@beuc.net>

# You may need to import signing keys first:
#gpg --keyserver keyring.debian.org --recv 4F368D5D # 2005
#gpg --keyserver keyring.debian.org --recv 2D230C5F # 2006
#gpg --keyserver pgpkeys.pca.dfn.de --recv 16BA136C # backports.org

# Sarge
debmirror --verbose --host=ftp2.fr.debian.org --dist=sarge --dist=stable \
    --section=main,main/debian-installer --nosource --getcontents \
    /mnt/mirrors/debian

# Sarge security
debmirror --verbose --host=security.debian.org --dist=sarge/updates \
    --root=debian-security  --section=main --nosource --method=http \
    /mnt/mirrors/debian-security

# Sarge backports
debmirror --verbose --host=www.backports.org --method=http \
    --dist=sarge-backports --section=main --nosource --getcontents \
    /mnt/mirrors/backports.org
